Package ghidra.framework

# Class GhidraApplicationConfiguration

java.lang.Object
ghidra.framework.ApplicationConfiguration
ghidra.framework.HeadlessGhidraApplicationConfiguration
ghidra.framework.GhidraApplicationConfiguration

public class GhidraApplicationConfiguration extends HeadlessGhidraApplicationConfiguration

- ## Field Summary

  ### Fields inherited from class ghidra.framework.ApplicationConfiguration

  `initializeLogging, logFile, monitor, scriptLogFile`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GhidraApplicationConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorDisplay`
  `getErrorDisplay()`
  `protected void`
  `initializeApplication()`
  For subclasses to do specific application initialization after all general application initialization occurs.
  `void`
  `installStaticFactories()`
  `boolean`
  `isHeadless()`
  Returns whether or not the application is headless.
  `void`
  `setShowSplashScreen(boolean b)`

  ### Methods inherited from class ghidra.framework.ApplicationConfiguration

  `getApplicationLogFile, getScriptLogFile, getTaskMonitor, isInitializeLogging, setApplicationLogFile, setInitializeLogging, setScriptLogFile, setTaskMonitor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GhidraApplicationConfiguration

    public GhidraApplicationConfiguration()

- ## Method Details

  - ### isHeadless

    public boolean isHeadless()
    Description copied from class: `ApplicationConfiguration`
    Returns whether or not the application is headless.
    Overrides:
      `isHeadless` in class `ApplicationConfiguration`
    Returns:
      true if the application is headless; otherwise, false.

  - ### initializeApplication

    protected void initializeApplication()
    Description copied from class: `ApplicationConfiguration`
    For subclasses to do specific application initialization after all general application initialization occurs.
    Overrides:
      `initializeApplication` in class `HeadlessGhidraApplicationConfiguration`

  - ### installStaticFactories

    public void installStaticFactories()
    Overrides:
      `installStaticFactories` in class `ApplicationConfiguration`

  - ### setShowSplashScreen

    public void setShowSplashScreen(boolean b)

  - ### getErrorDisplay

    public ErrorDisplay getErrorDisplay()
    Overrides:
      `getErrorDisplay` in class `ApplicationConfiguration`